SQLITE3_VTAB_CONFIG(3) | Library Functions Manual | SQLITE3_VTAB_CONFIG(3)

# NAME

`sqlite3_vtab_config` —
Virtual Table Interface Configuration

# SYNOPSIS

int
`sqlite3_vtab_config`(sqlite3*, int op, ...);

# DESCRIPTION

This function may be called by either the xConnect or xCreate method of a virtual table implementation to configure various facets of the virtual table interface.

If this interface is invoked outside the context of an xConnect or xCreate virtual table method then the behavior is undefined.

At present, there is only one option that may be configured using this function. (See SQLITE_VTAB_CONSTRAINT_SUPPORT.) Further options may be added in the future.

# SEE ALSO

SQLITE_VTAB_CONSTRAINT_SUPPORT(3)

December 19, 2018 | NetBSD 9.4